# Uses of Enum
com.fasterxml.jackson.annotation.JsonTypeInfo.Id

## Uses of JsonTypeInfo.Id in com.fasterxml.jackson.annotation

Methods in com.fasterxml.jackson.annotation that return JsonTypeInfo.Id
Modifier and Type
Method
Description
`static JsonTypeInfo.Id`
JsonTypeInfo.Id.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static JsonTypeInfo.Id[]`
JsonTypeInfo.Id.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.